package jalview.gui;

import java.awt.*;
import java.awt.event.*;

import javax.swing.*;

public class ScalePanel extends JPanel
{

  protected ScaleCanvas scaleCanvas;

  protected int offy;
  public    int width;

  protected AlignViewport av;

  public ScalePanel(AlignViewport av) {
    this.av         = av;

    scaleCanvas = new ScaleCanvas(av);
    setLayout(new BorderLayout());
    add(scaleCanvas, BorderLayout.CENTER);
    addMouseListener(new MouseAdapter()
    {
      public void mousePressed(MouseEvent evt)
      {
        doMousePressed(evt);
      }
    });
  }

  public Dimension getMinimumSize() {
    return scaleCanvas.getMinimumSize();
  }

  public Dimension getPreferredSize() {
    return scaleCanvas.getPreferredSize();
  }

  public void doMousePressed(MouseEvent evt) {
    int x = evt.getX();
    int res = x/av.getCharWidth() + av.getStartRes();

    if (! av.getColumnSelection().contains(res))
      av.getColumnSelection().addElement(res);
     else
      av.getColumnSelection().removeElement(res);

    repaint();
  }
}
